# PNG Source

Currently using [Pokemon Showdown](https://play.pokemonshowdown.com/)'s sprites,
sourced from their [`dex` directory](https://play.pokemonshowdown.com/sprites/dex/).
These were then pruned by hand, and some other sprites (Galar forms) were added
from their [`gen5` directory](https://play.pokemonshowdown.com/sprites/gen5/).

Specifically, the following were removed:
 - Mega evolutions
 - Unown forms, excluding "default" of A
 - Duplicated Forms (i.e., plain sprite removed but equivalent form sprite left)
   - Burmy (plant)
   - Wormadam (plant)
   - Basculin (red stripe)
   - Vivillon (meadow)
   - Sawsbuck (spring)
   - Deerling (spring)
   - Thundurus (incarnate)
   - Tornadus (incarnate)
   - Landorus (incarnate)
   - Flabebe (red)
   - Floette (red)
   - Florges (red)
   - Furfrou (natural)
   - Shaymin (land)
   - Shellos (west)
   - Gastrodon (west)
   - Keldeo (ordinary)
   - Meloetta (aria)
   - Hoopa (confined)
   - Giratina (altered)
 - Duplicated Grovyle that appeared a second time as `english.png`?
 - Forms inaccessible at start of battle
   - Minior core forms (battle will start with Minior in meteor form)
   - Wishiwashi solo form (battle will start with Wishiwashi in school form)
   - Mimikyu busted form (battle will start with Mimikyu in normal form)
   - Castform weather forms (battle will start with no weather)
   - Cherrim sunshine and duplicated Cherrim overcast (battle will start with no weather)
   - Aegislash blade and duplicated Aegislash shield (battle will start with Aegislash in shield mode)
   - Darmanitan zen and duplicated Darmanitan standard (battle will start with Darmanitan in normal form)
   - Xerneas neutral and duplicated Xerneas active (battle will start with Xerneas in active mode)
 - Forms that do not significantly alter the color of the pokemon
   - Arceus forms
   - Silvally forms
   - Genesect forms
   - Pumpkaboo and Gourgeist alternate sizes
   - Ash Greninja
   - Additional Pikachu costumes
   - "Starter" Eevee and Pikachu
 - All "Create-A-Pokemon" entries
 - Totem pokemon sprites
 - Pokestars

And the following were obtained from the `gen5` directory
 - Galar forms of:
   - Articuno
   - Corsola
   - Darmanitan (no Galar Zen for reasons above)
   - Darumaka
   - Farfetch'd
   - Linoone
   - Meowth
   - Moltres
   - Ponyta
   - Rapidash
   - Slowbrow
   - Slowking
   - Slowpoke
   - Stunfisk
   - Weezing
   - Yamask
   - Zapdos
   - Zigzagoon
 - alcremie
 - arctovish
 - arctozolt
 - calyrex
 - clobbopus
 - copperajah
 - cufant
 - cursola
 - dracovish
 - dracozolt
 - dragapult
 - drakloak
 - dreepy
 - duraludon
 - eiscue
 - eternatus
 - falinks
 - frosmoth
 - glastrier
 - grapploct
 - grimmsnarl
 - hatenna
 - hatterene
 - hattrem
 - impidimp
 - indeedee
 - kubfu
 - milcery
 - morgrem
 - morpeko
 - mrrime
 - obstagoon
 - perrserker
 - pincurchin
 - polteageist
 - regidrago
 - regieleki
 - runerigus
 - sinistea
 - sirfetchd
 - snom
 - spectrier
 - stonjourner
 - urshifu
 - zacian
 - zamazenta
 - zarude

And then a few png files were renamed to align to the names on 
[pokemondb](https://pokemondb.net/sprites) so sprites can be fetched in the
web version (other mismatches are handled programmatically):
 - All 4 Tapus
 - Ho-oh
 - Mime Jr., Mr. Mime (regular and Galar), Mr. Rime
 - Jangmo-o, Hakamo-o, Kommo-o
 - Meowstic (F)
 - Type: Null
 - Toxtricity (Low Key)
 - Porygon-Z
 - Oricorio (Pom Pom)
 - Nidoran (M and F)
 - Necrozma (Dawn Wings and Dusk Mane)

## Alternative/Legacy Source

Another option is [pokemondb](https://pokemondb.net/sprites)'s sprite archive.
Download the entire page (i.e., Ctrl-S in most browsers), then take the folder
of PNGs it downloads and place them in the `pngs` directory in this repository.
Then run `ingest.py` to generate `database.csv`

